## r-cran-survey 3.32

=== DESCRIPTION ===
Package: survey
Title: Analysis of Complex Survey Samples
Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. Principal components, factor analysis.
Version: 3.32-1
Author: Thomas Lumley
Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
License: GPL-2 | GPL-3
Depends: R (>= 2.16.0), grid, methods, Matrix, survival
Imports: stats, graphics, splines, lattice
Suggests: foreign, MASS, KernSmooth, hexbin, mitools, RSQLite, RODBC,
        quantreg, parallel, CompQuadForm, DBI
URL: http://r-survey.r-forge.r-project.org/survey/
Repository: CRAN
Repository/R-Forge/Project: r-survey
Repository/R-Forge/Revision: 53
Repository/R-Forge/DateTimeStamp: 2017-06-21 22:41:58
Date/Publication: 2017-06-22 22:12:45 UTC
NeedsCompilation: no
Packaged: 2017-06-21 22:45:35 UTC; rforge

## r-cran-survey 3.30.3

=== debian/changelog ===
r-cran-survey (3.30.3-1) unstable; urgency=low

  * Private release, for Tilburg University.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 26 Apr 2016 08:51:27 +0200

=== debian/control ===
Source: r-cran-survey
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Joost van Baal-Ilić <joostvb@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6
Homepage: https://cran.r-project.org/web/packages/survey/
# Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-survey.git
# Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-survey.git

Package: r-cran-survey
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}
Description: GNU R package for analysis of complex survey samples -- survey
 This package supplies summary statistics, two-sample tests, rank tests,
 generalised linear models, cumulative link models, Cox models, loglinear
 models, and general maximum pseudolikelihood estimation for multistage
 stratified, cluster-sampled, unequally weighted survey samples. Variances by
 Taylor series linearisation or replicate weights. Post-stratification,
 calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling
 without replacement. Principal components, factor analysis.

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
	    http://cran.r-project.org/src/contrib/survey_([-\d\.]*)\.tar.gz

## r-cran-survey 3.31-5

=== debian/changelog ===
r-cran-survey (3.31-5-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 11:16:53 +0000

r-cran-survey (3.31-5-1) unstable; urgency=medium

  * Initial release (closes: #850622)

 -- Andreas Tille <tille@debian.org>  Sun, 08 Jan 2017 17:03:04 +0100

=== debian/control ===
Source: r-cran-survey
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-survival,
               r-cran-lattice
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-survey.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-survey.git
Homepage: https://cran.r-project.org/package=survey

Package: r-cran-survey
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R analysis of complex survey samples
 Summary statistics, two-sample tests, rank tests, generalised linear
 models, cumulative link models, Cox models, loglinear models, and
 general maximum pseudolikelihood estimation for multistage stratified,
 cluster-sampled, unequally weighted survey samples. Variances by Taylor
 series linearisation or replicate weights. Post-stratification,
 calibration, and raking. Two-phase subsampling designs. Graphics. PPS
 sampling without replacement. Principal components, factor analysis.

## r-cran-survey 3.32-1

=== debian/changelog ===
r-cran-survey (3.32-1-2) unstable; urgency=medium

  * Team upload.
  * Add missing r-cran-mass to test dependencies.
  * Fix Vcs-Browser URL.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 06 Nov 2017 11:05:17 +0100

r-cran-survey (3.32-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.32-1
  * Add r-cran-sqlite to test depends.
  * Bump Standards-Version to 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Sep 2017 09:59:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                r-cran-matrix,
                r-cran-survival,
                r-cran-lattice
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/r-cran-survey.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-survey.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-rsqlite, r-cran-mass
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/survey_([-\d.]*)\.tar\.gz

## r-cran-survey 3.33

=== DESCRIPTION ===
Package: survey
Title: Analysis of Complex Survey Samples
Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. Principal components, factor analysis.
Version: 3.33-2
Author: Thomas Lumley
Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
License: GPL-2 | GPL-3
Depends: R (>= 2.16.0), grid, methods, Matrix, survival
Imports: stats, graphics, splines, lattice
Suggests: foreign, MASS, KernSmooth, hexbin, mitools, RSQLite, RODBC,
        quantreg, parallel, CompQuadForm, DBI
URL: http://r-survey.r-forge.r-project.org/survey/
Repository: CRAN
Repository/R-Forge/Project: r-survey
Repository/R-Forge/Revision: 72
Repository/R-Forge/DateTimeStamp: 2018-03-11 23:49:12
Date/Publication: 2018-03-13 00:01:22 UTC
NeedsCompilation: no
Packaged: 2018-03-12 00:12:07 UTC; rforge

## r-cran-survey 3.33-2

=== debian/changelog ===
r-cran-survey (3.33-2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 13:32:49 +0200

r-cran-survey (3.33-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Mar 2018 09:32:51 +0100

r-cran-survey (3.33-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 12 Mar 2018 15:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: r-cran-survey
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-survival,
                r-cran-lattice
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-survey.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-survey.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey
 
 Package: r-cran-survey
 Architecture: all
 Depends: ${R:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-survey 3.35

=== DESCRIPTION ===
Package: survey
Title: Analysis of Complex Survey Samples
Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. Principal components, factor analysis.
Version: 3.35-1
Author: Thomas Lumley
Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
License: GPL-2 | GPL-3
Depends: R (>= 3.1.0), grid, methods, Matrix, survival
Imports: stats, graphics, splines, lattice, minqa, numDeriv
Suggests: foreign, MASS, KernSmooth, hexbin, mitools, RSQLite, RODBC,
        quantreg, parallel, CompQuadForm, DBI
URL: http://r-survey.r-forge.r-project.org/survey/
NeedsCompilation: no
Packaged: 2019-01-29 00:44:30 UTC; tlum005
Repository: CRAN
Date/Publication: 2019-01-29 09:30:11 UTC

## r-cran-survey 3.35-1

=== debian/changelog ===
r-cran-survey (3.35-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 10:47:46 +0100

r-cran-survey (3.35-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 16:32:42 +0100

r-cran-survey (3.34-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Sun, 14 Oct 2018 08:50:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-matrix,
                r-cran-survival,
-               r-cran-lattice
-Standards-Version: 4.1.4
+               r-cran-lattice,
+               r-cran-minqa,
+               r-cran-numderiv
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey

## r-cran-survey 3.36

=== debian/changelog ===
r-cran-survey (3.36-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 08:16:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                r-cran-survival,
                r-cran-lattice,
                r-cran-minqa,
-               r-cran-numderiv
+               r-cran-numderiv,
+               r-cran-mitools (>= 2.4)
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git

## r-cran-survey 3.37

=== DESCRIPTION ===
Package: survey
Title: Analysis of Complex Survey Samples
Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. Principal components, factor analysis.
Version: 3.37
Author: Thomas Lumley
Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
License: GPL-2 | GPL-3
Depends: R (>= 3.1.0), grid, methods, Matrix, survival
Imports: stats, graphics, splines, lattice, minqa, numDeriv, mitools
        (>= 2.4)
Suggests: foreign, MASS, KernSmooth, hexbin, RSQLite, quantreg,
        parallel, CompQuadForm, DBI, AER
URL: http://r-survey.r-forge.r-project.org/survey/
NeedsCompilation: no
Packaged: 2020-01-13 00:52:09 UTC; tlum005
Repository: CRAN
Date/Publication: 2020-01-21 09:40:02 UTC

=== debian/changelog ===
r-cran-survey (3.37-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Test-Depends: r-cran-aer

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:48:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-matrix,
@@ -12,7 +12,7 @@
                r-cran-minqa,
                r-cran-numderiv,
                r-cran-mitools (>= 2.4)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name INDEX -exec chmod -x \{\} \;
	find debian -name NEWS  -exec chmod -x \{\} \;
	find debian -name porting.to.S -exec chmod -x \{\} \;

## r-cran-survey 4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: survey
 Title: Analysis of Complex Survey Samples
 Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. Principal components, factor analysis.
-Version: 3.37
+Version: 4.0
 Author: Thomas Lumley
 Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
 License: GPL-2 | GPL-3
@@ -12,6 +12,6 @@
         parallel, CompQuadForm, DBI, AER
 URL: http://r-survey.r-forge.r-project.org/survey/
 NeedsCompilation: no
-Packaged: 2020-01-13 00:52:09 UTC; tlum005
+Packaged: 2020-04-03 00:34:24 UTC; tlum005
 Repository: CRAN
-Date/Publication: 2020-01-21 09:40:02 UTC
+Date/Publication: 2020-04-03 05:20:02 UTC

=== debian/changelog ===
r-cran-survey (4.0-2) unstable; urgency=medium

  * Team upload.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 09:01:04 +0200

r-cran-survey (4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Apr 2020 18:13:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -16,6 +17,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey
+Rules-Requires-Root: no
 
 Package: r-cran-survey
 Architecture: all

## r-cran-survey 4.1

=== DESCRIPTION ===
Package: survey
Title: Analysis of Complex Survey Samples
Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. 
Version: 4.1-1
Author: Thomas Lumley
Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
License: GPL-2 | GPL-3
Depends: R (>= 3.5.0), grid, methods, Matrix, survival
Imports: stats, graphics, splines, lattice, minqa, numDeriv, mitools
        (>= 2.4)
Suggests: foreign, MASS, KernSmooth, hexbin, RSQLite, quantreg,
        parallel, CompQuadForm, DBI, AER
URL: http://r-survey.r-forge.r-project.org/survey/
NeedsCompilation: no
Packaged: 2021-07-16 23:50:34 UTC; tlum005
Repository: CRAN
Date/Publication: 2021-07-19 08:40:04 UTC

## r-cran-survey 4.1-1

=== debian/changelog ===
r-cran-survey (4.1-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-mitools.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 17:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
@@ -12,8 +12,8 @@
                r-cran-lattice,
                r-cran-minqa,
                r-cran-numderiv,
-               r-cran-mitools (>= 2.4)
-Standards-Version: 4.5.0
+               r-cran-mitools
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey

## r-cran-survey 4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: survey
 Title: Analysis of Complex Survey Samples
 Description: Summary statistics, two-sample tests, rank tests, generalised linear models, cumulative link models, Cox models, loglinear models, and general maximum pseudolikelihood estimation for multistage stratified, cluster-sampled, unequally weighted survey samples. Variances by Taylor series linearisation or replicate weights. Post-stratification, calibration, and raking. Two-phase subsampling designs. Graphics. PPS sampling without replacement. 
-Version: 4.1-1
+Version: 4.2-1
 Author: Thomas Lumley
 Maintainer: "Thomas Lumley" <t.lumley@auckland.ac.nz>
 License: GPL-2 | GPL-3
@@ -12,6 +12,6 @@
         parallel, CompQuadForm, DBI, AER
 URL: http://r-survey.r-forge.r-project.org/survey/
 NeedsCompilation: no
-Packaged: 2021-07-16 23:50:34 UTC; tlum005
+Packaged: 2023-05-02 22:56:29 UTC; tlum005
 Repository: CRAN
-Date/Publication: 2021-07-19 08:40:04 UTC
+Date/Publication: 2023-05-03 08:10:02 UTC

## r-cran-survey 4.2-1

=== debian/changelog ===
r-cran-survey (4.2-1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 14:08:13 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-minqa,
                r-cran-numderiv,
                r-cran-mitools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-rsqlite, r-cran-mass, r-cran-aer
Restrictions: allow-stderr

## r-cran-survey 4.4-2

=== debian/changelog ===
r-cran-survey (4.4-2-2) unstable; urgency=medium

  * Team upload.
  * Convert to arch:any with dh-make-r, fixes: #1081117
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive.

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Oct 2024 08:51:13 +0900

r-cran-survey (4.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Aug 2024 08:08:04 +0900

=== debian/control ===
--- 
+++ 
@@ -12,24 +12,27 @@
                r-cran-lattice,
                r-cran-minqa,
                r-cran-numderiv,
-               r-cran-mitools
-Standards-Version: 4.6.2
+               r-cran-mitools,
+               r-cran-rcpp,
+               r-cran-rcpparmadillo
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
 Homepage: https://cran.r-project.org/package=survey
 Rules-Requires-Root: no
 
 Package: r-cran-survey
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Description: GNU R analysis of complex survey samples
+Description: Analysis of Complex Survey Samples
  Summary statistics, two-sample tests, rank tests, generalised linear
  models, cumulative link models, Cox models, loglinear models, and
  general maximum pseudolikelihood estimation for multistage stratified,
  cluster-sampled, unequally weighted survey samples. Variances by Taylor
  series linearisation or replicate weights. Post-stratification,
  calibration, and raking. Two-phase subsampling designs. Graphics. PPS
- sampling without replacement. Principal components, factor analysis.
+ sampling without replacement. Small-area estimation.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-foreign,
        r-cran-mass,
        r-cran-kernsmooth,
        r-cran-hexbin,
        r-cran-rsqlite,
        r-cran-quantreg,
        r-cran-dbi,
        r-cran-aer,
        r-cran-r.rsp
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/survey_([-\d.]*)\.tar\.gz

## r-cran-survey 4.4-8

=== debian/changelog ===
r-cran-survey (4.4-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Feb 2026 17:23:49 +0900

=== debian/control ===
Source: r-cran-survey
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 r-cran-survival,
 r-cran-lattice,
 r-cran-minqa,
 r-cran-numderiv,
 r-cran-mitools,
 r-cran-rcpp,
 r-cran-rcpparmadillo,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-survey
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-survey.git
Homepage: https://cran.r-project.org/package=survey
Rules-Requires-Root: no

Package: r-cran-survey
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Analysis of Complex Survey Samples
 Summary statistics, two-sample tests, rank tests, generalised linear
 models, cumulative link models, Cox models, loglinear models, and
 general maximum pseudolikelihood estimation for multistage stratified,
 cluster-sampled, unequally weighted survey samples. Variances by Taylor
 series linearisation or replicate weights. Post-stratification,
 calibration, and raking. Two-phase subsampling designs. Graphics. PPS
 sampling without replacement. Small-area estimation.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-foreign,
 r-cran-mass,
 r-cran-kernsmooth,
 r-cran-hexbin,
 r-cran-rsqlite,
 r-cran-quantreg,
 r-cran-dbi,
 r-cran-aer,
 r-cran-r.rsp,
